<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [DarknetServerDetails](./bitburner.darknetserverdetails.md) &gt; [isConnectedToCurrentServer](./bitburner.darknetserverdetails.isconnectedtocurrentserver.md)

## DarknetServerDetails.isConnectedToCurrentServer property

True if the server is directly connected to the current server

**Signature:**

```typescript
isConnectedToCurrentServer: boolean;
```
